# Created by pyp2rpm-3.3.1
%global pypi_name pymediainfo

Name:           python-%{pypi_name}
Version:        2.2.1
Release:        %mkrel 2
Summary:        A Python wrapper for the mediainfo library
Group:          Development/Python
License:        MIT
URL:            https://github.com/sbraz/pymediainfo
Source0:        https://pypi.io/packages/source/p/pymediainfo/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

# Required for tests
BuildRequires:  mediainfo
BuildRequires:  pkgconfig(libmediainfo)
BuildRequires:  locales-en
 
%description
This small package is a wrapper around the MediaInfo library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)

%description -n python3-%{pypi_name}
This small package is a wrapper around the MediaInfo library.


%prep
%setup -n %{pypi_name}-%{version}

cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
pushd %{py3dir}
%py3_install
popd

%files
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%{_prefix}/lib/python3.10/

%changelog
* Mon Aug 22 2022 tex - 2.2.1-2pclos2022
- rebuild against updates

* Fri Aug 24 2018 tex 2.2.1-1pclos2018
- new
